*{
    margin: 0;
    padding: 0;
    font-family: 'Playfair Display', serif;
}

.bodyimage{
    /*background-color: black;*/
}

#land{
    height: 100vh;
    /* width: 100vh; */
    background-image: url(https://media.giphy.com/media/3Dh6dvsDUhvAQ/giphy.gif);
    background-position: center;
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 80px;
    color: antiquewhite;
}

#openPage > div{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    font-size: 300%;
    line-height: 12rem;
}

.button{
    height: 80px;
    width: 160px;
    border-radius: 8px;
    font-size: 20px;
}

#front{
    border: 1px solid black;
    background-color: rgb(255,255,0);
}

#front:hover{
    transition: .5s;
    background-color: purple;
    width: 200px;
    height: 100px;
}

.navigation{
    height: 7vh;
    width: 98vw;
    background-color: rgba(255,255,0,.85);
    color: black;
    border: 1px solid black ;
    position: sticky;
    top: 0;
    overflow: hidden;
    z-index: 0;
}

.navigation > ul{
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    align-items: center;
    
}

.navigation > ul > li{
    display: inline;
    border-right: 1px solid black;
}

.navigation > ul > li > a{
    display: block;
    padding: 8px;
    background-color:rgba(255,255,0,.5);
    text-decoration: none;
}

.navigation > ul > li > a:hover{
    background-color:rgba(153,50,204,.45);
    color: antiquewhite;
}

#logo{
    width: 50px;
    height: 50px;
    border-radius: 5px;
    z-index: 1000;
    position: relative;
}

#products{
    height: 150vh;
    /* width: 80vh; */
    color: antiquewhite;
    background-image: url(../Images/Banig.jpg);
    background-position: center;
    background-size: cover; 
    
}

#products > section{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.swords{
    height: 20vh;
    width: 40vw;
    margin: 1rem;
    border: 1px solid silver;
    display: block;

}

.swords:hover{
    transition: .5s;
    border: 8px solid silver;
    background-color: rgba(0,0,0,.5);
}

#featured{
    height: 150vh;
    /* width: 80vh; */
    color: antiquewhite;
    background-color: black;
}

#featured > section{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.specs{
    height: 20vh;
    width: 40vw;
    margin: 3rem;
    border: 1px solid silver;
}

.specs:hover{
    transition: .5s;
    border: 8px solid silver;
}

#subscribe{
    color: antiquewhite;
    height: 100vh;
    /* width: 80vh; */
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    font-size: x-large;
    line-height: 2rem;
    background-color: black;

}

#signUp{
    border: 1px solid black;
    background-color: rgb(255,255,0);

}

#signUp:hover{
    transition: .5s;
    background-color:rgba(255,255,0,.5);
    width: 200px;
    height: 100px;
}

.mode{
    display: flex;
    align-items: center;
    flex-direction: column;
    margin: 2rem;
    padding: 2rem;
}

.mode > h5{
    flex-direction: unset;
}

.details{
    width: 70vh;
    height: 20px;
}

#location{
    height: 150vh;
    /* width: 80vh; */
    color: antiquewhite;
    font-size: xx-large;
    background-color: black;
}

#location > section{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    line-height: 5rem;
}

#shop{
    height: 450px;
    width: 650px;
}

#aboutRubio{
    height: 200vh;
    font-size: large;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    color: black;
    line-height: 3rem;
    background-image: url(../Images/Banig.jpg);
    background-position: center;
    background-size: cover; 
}

footer{
    height: 25vh;
    background-color: dimgray;
    color: antiquewhite;
}

@media screen and (min-width: 375px) and (max-width: 700px){
    .openText{
        font-size: 30px; 
    }

    .navigation{
        height: 1rem;
    }

    .navigation > ul > li > a{
        padding:0;
        font-size: 60%;
    }

    .subscribe{
        font-size: 60%;
    }

    .details{
        width: 50vh;
    }

    #shop{
        height: 20%;
        width: 70%;
    }

    #map{
        height: 20%;
        width: 70%;
    }

    .contactDetails{
        font-size: 60%;
    }

    #aboutRubio{
        font-size: 15px;
        height: 200vh;
    }

    #location{
        height: 150vh;
    }

    .footer{
        height: 160%;
        font-size: 80%;
    }

    .pix{
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }

    .swords{
        height: 20vh;
        width: 60vw;
    }

    .specs{
        height: 20vh;
        width: 60vw;
    }

    #location{
        height: 120vh;
    }

    .subText{
        font-size: 90%;
    }
}

@media screen and (min-width: 768px) and (max-width: 1024px){
    .pix{
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        padding: 3rem;
    }

    .swords{
        height: 40vh;
        width: 80vw;
    }

    .specs{
        height: 40vh;
        width: 80vw;
    }

    #products{
        height: 200vh;
    }

    .navigation{
        height: 4vh;
        width: 99.9vw;
    }

    #featured{
        height: 165vh;
    }

    #aboutRubio{
        height: 100vh;
    }

    #land{
        display: flex;
        align-items: center;
        justify-content: flex-end;
        flex-direction: column
    }

    #secondText{
        font-size: 80%;
    }
}